# flutter_iiif

A flutter implementation for IIIF images. 

Find more information on IIIF here:
[IIIF specs](https://iiif.io/api/image/2.0/)


## Basic usage:

In  your pubspec.yaml:
```
dependencies:
  flutter:
    sdk: flutter
  flutter_iiif:^0.0.1
```

import:
```dart
import 'package:flutter_iiif/flutter_iiif.dart';
```

Add the following code to your widget-tree:
```dart
IIIFImage(
    settings:IIIFImageSettings(
        server: 'http://your_iiif_server/', 
        assetID: 'filname_or_assetID', 
        quality: '[default|gray|colorize].[jpg|png etc]'
     )
);
```

## Demo

![Flutter IIIF Demo](https://code.naturkundemuseum.berlin/naturkunde_365_24/flutter_iiif/raw/master/flutter_iiif_demo_opt.gif "Demo")

Check out the [example](https://code.naturkundemuseum.berlin/naturkunde_365_24/flutter_iiif/tree/master/example) folder.

## Repository

[https://code.naturkundemuseum.berlin/naturkunde_365_24/flutter_iiif](https://code.naturkundemuseum.berlin/naturkunde_365_24/flutter_iiif)

## Pub
[https://pub.dev/packages/flutter_iiif](https://pub.dev/packages/flutter_iiif)